## org.apache.lucene.codecs.blockterms
Class TermsIndexWriterBase

    java.lang.Object
      org.apache.lucene.codecs.blockterms.TermsIndexWriterBase

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  FixedGapTermsIndexWriter, VariableGapTermsIndexWriter

    public abstract class TermsIndexWriterBase

extends Object
implements Closeable

Base class for terms index implementations to plug into `BlockTermsWriter`.

See Also:
  `TermsIndexReaderBase`
WARNING: This API is experimental and might change in incompatible ways in the next release.

Nested Class Summary
`class` `TermsIndexWriterBase.FieldWriter` Terms index API for a single field.

Constructor Summary
`TermsIndexWriterBase()`

Method Summary
`abstract TermsIndexWriterBase.FieldWriter` `addField(FieldInfo fieldInfo, long termsFilePointer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### TermsIndexWriterBase

    public TermsIndexWriterBase()

Method Detail

### addField

    public abstract TermsIndexWriterBase.FieldWriter addField(FieldInfo fieldInfo,
                                                              long termsFilePointer)
                                                       throws IOException

  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.